Bug 58231 - mv crashed
mv crashed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 08:37 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-11 08:37:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-11 08:37:27 EST
mv from fileutils-4.0x-3 crashes:

here dsm/ exists ~/dsm/ exists
~/dsm/HTML_demo does not exist.
dsm/ is on /tmp/kk/hostname.com/%7Eslava/demo/dsm/
~/dsm/ is /home/mal/dsm/
	
mv dsm/ ~/dsm/HTML_demo
mv: basename.c:67: base_name: Assertion `all_slashes || *(p - 1) != '/''
failed.Aborted (core dumped)

the mv is compiled without debugging info so the trace is not that useful.

gdb /bin/mv core 
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `mv dsm/ /home/mal/dsm/HTML_demo'.
Program terminated with signal 6, Aborted.
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x4004ddd1 in __kill () from /lib/libc.so.6
(gdb) bt
#0  0x4004ddd1 in __kill () from /lib/libc.so.6
#1  0x4004dbaa in raise (sig=6) at ../sysdeps/posix/raise.c:27
#2  0x4004f352 in abort () at ../sysdeps/generic/abort.c:88
#3  0x400477fa in __assert_fail () at assert.c:60
#4  0x804d6db in strcpy () at ../sysdeps/generic/strcpy.c:31
#5  0x804cee0 in strcpy () at ../sysdeps/generic/strcpy.c:31
#6  0x80498c7 in strcpy () at ../sysdeps/generic/strcpy.c:31
#7  0x8049a4e in strcpy () at ../sysdeps/generic/strcpy.c:31
#8  0x8049eff in strcpy () at ../sysdeps/generic/strcpy.c:31
#9  0x4003cf31 in __libc_start_main (main=0x8049b30 <strcpy+1404>, argc=3, 
    ubp_av=0xbffffaa4, init=0x8049064, fini=0x804fd1c <strcpy+26472>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffa9c)
    at ../sysdeps/generic/libc-start.c:129
(gdb)
Comment 1 Bernhard Rosenkraenzer 2002-01-17 06:51:45 EST
Known problem, try leaving out the trailing slash or updating to the current
version (the package from 7.2 should install on 7.0 cleanly).

Note You need to log in before you can comment on or make changes to this bug.